package com.kernelmaft.zanbur

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier


@Composable fun SceneSwitcher (
	scenes : Collection <Scene> ,
	currentScene : Scene ? ,
	onSwitch : (Scene) -> Unit ,
) {
	CenteredColumn {
		for ( scene in scenes ) {
			val colors =
				if ( scene . id == currentScene ?. id ) ButtonDefaults . buttonColors ()
				else ButtonDefaults . filledTonalButtonColors ()

			Button ( { onSwitch (scene) } , Modifier . fillMaxWidth () , true , ButtonDefaults . shape , colors ) {
				Text ( scene . name )
			}
		}
	}
}
